Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class Contact

    java.lang.Object
      com.nortel.soa.oi.cct.types.Contact

    public class Contact

extends java.lang.Object

Java class for contact complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="contact">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="contactId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="externalContactId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="provider" type="{http://www.nortel.com/soa/oi/cct/types}provider"/>
             <element name="contactType" type="{http://www.nortel.com/soa/oi/cct/types}contactTypeArray"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`Contact()`
`Contact(java.lang.String contactId, Provider provider)`
`Contact(java.lang.String contactId, java.lang.String externalContactId, Provider provider)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getContactId()` Gets the value of the contactId property.
`ContactTypeArray` | `getContactTypes()` Gets the value of the contactType property.
`java.lang.String` | `getExternalContactId()` Gets the value of the externalContactId property.
`Provider` | `getProvider()` Gets the value of the provider property.
`int` | `hashCode()`
`void` | `setContactId(java.lang.String value)` Sets the value of the contactId property.
`void` | `setContactTypes(ContactTypeArray value)` Sets the value of the contactType property.
`void` | `setExternalContactId(java.lang.String value)` Sets the value of the externalContactId property.
`void` | `setProvider(Provider value)` Sets the value of the provider property.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Contact

    public Contact()

### Contact

    public Contact(java.lang.String contactId,
                   Provider provider)

### Contact

    public Contact(java.lang.String contactId,
                   java.lang.String externalContactId,
                   Provider provider)

Method Detail

### getContactId

    public java.lang.String getContactId()

  Gets the value of the contactId property.

  Returns:
    possible object is `String`

### setContactId

    public void setContactId(java.lang.String value)

  Sets the value of the contactId property.

  Parameters:
    `value` - allowed object is `String`

### getExternalContactId

    public java.lang.String getExternalContactId()

  Gets the value of the externalContactId property.

  Returns:
    possible object is `String`

### setExternalContactId

    public void setExternalContactId(java.lang.String value)

  Sets the value of the externalContactId property.

  Parameters:
    `value` - allowed object is `String`

### getProvider

    public Provider getProvider()

  Gets the value of the provider property.

  Returns:
    possible object is `Provider`

### setProvider

    public void setProvider(Provider value)

  Sets the value of the provider property.

  Parameters:
    `value` - allowed object is `Provider`

### getContactTypes

    public ContactTypeArray getContactTypes()

  Gets the value of the contactType property.

  Returns:
    possible object is `ContactTypeArray`

### setContactTypes

    public void setContactTypes(ContactTypeArray value)

  Sets the value of the contactType property.

  Parameters:
    `value` - allowed object is `ContactTypeArray`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.